package examples.aop.throwsinterceptor;

import org.seasar.framework.container.S2Container;
import org.seasar.framework.container.factory.S2ContainerFactory;

public class AopRandomClient {
	private static String PATH = "examples/aop/throwsinterceptor/Random.dicon";

	public static void main(String[] args) {
		S2Container container = S2ContainerFactory.create(PATH);
		RandomNumber randomNumber = (RandomNumber) container
				.getComponent(RandomNumber.class);
		randomNumber.calc(5);
	}
}